#pragma once

#include <maps/wikimap/mapspro/libs/assessment/include/sample.h>
#include <pqxx/pqxx>

namespace maps::wiki::assessment::samples {

std::vector<SampleInfo::AssessorStats> loadAssessorsStats(
    pqxx::transaction_base& txn,
    TId sampleId);

UnitGradeStatsVec loadGradeStats(
    pqxx::transaction_base& txn,
    TId sampleId);

} // maps::wiki::assessment::samples
